/*	$NetBSD: extern.h,v 1.4 2002/06/26 16:04:11 mjacob Exp $	*/

/*-
 * Copyright (c) 1998 The NetBSD Foundation, Inc.
 * All rights reserved.
 *
 * This code is derived from software contributed to The NetBSD Foundation
 * by Jason R. Thorpe of the Numerical Aerospace Simulation Facility,
 * NASA Ames Research Center.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *	This product includes software developed by the NetBSD
 *	Foundation, Inc. and its contributors.
 * 4. Neither the name of The NetBSD Foundation nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * Small changes made by Reinoud Zandijk <reinoud@netbsd.org>
 *
 */

#ifndef _SCSI_SENSE_H_
#define _SCSI_SENSE_H_

#ifndef _DEV_SCSIPI_SCSIPI_ALL_H_
#	define SSD_KEY         0x0F
#	define SSD_ILI         0x20
#	define SSD_EOM         0x40
#	define SSD_FILEMARK    0x80
#	define SKEY_NO_SENSE           0x00
#	define SKEY_RECOVERED_ERROR    0x01
#	define SKEY_NOT_READY          0x02
#	define SKEY_MEDIUM_ERROR       0x03
#	define SKEY_HARDWARE_ERROR     0x04
#	define SKEY_ILLEGAL_REQUEST    0x05
#	define SKEY_UNIT_ATTENTION     0x06
#	define SKEY_WRITE_PROTECT      0x07
#	define SKEY_BLANK_CHECK        0x08
#	define SKEY_VENDOR_UNIQUE      0x09
#	define SKEY_COPY_ABORTED       0x0A
#	define SKEY_ABORTED_COMMAND    0x0B
#	define SKEY_EQUAL              0x0C
#	define SKEY_VOLUME_OVERFLOW    0x0D
#	define SKEY_MISCOMPARE         0x0E
#	define SKEY_RESERVED           0x0F
#endif


char *scsi_decode_sense(void *sinfo, int flag);
void  scsi_print_sense(const char *name, u_char *req_cmd, int req_cmdlen, u_char *req_sense, int req_senselen_used, int verbosity);
void  scsi_strvis(char *sdst, size_t dlen, const char *ssrc, size_t slen);

#endif	/* _SCSI_SENSE_H_ */

